Get task mock

Retrieves a specific task mock by its ID.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

mockIdstringRequired
The unique identifier of the task mock to retrieve

Response

The task mock object retrieved by ID
_idstringformat: "uuid"
The unique identifier for the mock task
namestringformat: "^[\w -]+$"
The name of the mock task
descriptionstring
A description of the mock task
serviceTypeenum
Whether or not the mock is for an adapter or application service
Allowed values:
serviceNamestring
The adapter or application service name that contains the method to mock
methodstring
The name of the method that is being mocked
finishStateenum
The finish state of the mock
Allowed values:
delayinteger
The number of seconds to delay the completion of the mock
responselist of any or boolean or integer or double or map from strings to any or string or null
The response for the mock that matches the return value for the task method
createdstringformat: "date-time"
The date and time when the mock was created
createdBystring
The id of user who created the mock task
lastUpdatedstringformat: "date-time"
The date and time when the mock was last updated
lastUpdatedBystring
The id of user who last updated the mock task

Errors

500
Internal Server Error